<script setup></script>

<template>
  <nav>
    <a href="/" class="logo nhgd-bold">Omniworks</a>
    <div class="nav-ctas">
      <NuxtLink to="mailto:omniworkss@gmail.com"
        ><Icon name="ic:outline-email" />
      </NuxtLink>
      <NuxtLink to="https://api.whatsapp.com/send?phone=%2B923348385958"
        ><Icon name="ic:baseline-whatsapp" />
      </NuxtLink>
    </div>
  </nav>
</template>

<style scoped>
nav {
  @apply flex flex-row justify-between items-center px-[24px];
  @apply tab-pt:px-[48px];
  @apply pc-sm:px-[64px];
  background-color: var(--primary);
}

.nav-ctas {
  @apply flex items-center justify-end gap-4;
  @apply tab-pt:gap-6;
  @apply tab-ls:gap-8;
  @apply pc-sm:gap-10;
}

.logo {
  @apply text-[28px] leading-[34px] font-bold tracking-[0.01em];
  @apply mob-lg:text-[32px] mob-lg:leading-[66px];
  @apply tab-pt:text-[36px] tab-pt:leading-[70px]; 
  @apply tab-ls:text-[38px] tab-ls:leading-[78px];
  @apply pc-sm:text-[40px] pc-sm:leading-[100px];
  color: var(--brand-black);
}

.icon {
  @apply h-[32px] w-[32px];
  @apply mob-lg:h-[32px] mob-lg:w-[32px];
  @apply tab-pt:h-[36px] tab-pt:w-[36px];
  @apply tab-ls:h-[38px] tab-ls:w-[38px];
  @apply pc-sm:h-[42px] pc-sm:w-[42px];
}
</style>